import { IEntityMerger } from "./i-entity-merger";
import { EnterpriseState } from "../codiac-api/contracts";
export declare class DeployedStateEntityMerger implements IEntityMerger {
    constructor();
    /** Mutates the original. */
    merge<TResponse>(original: TResponse, additional?: TResponse | undefined): TResponse;
    /** Mutates the original */
    mergeEntities(original: EnterpriseState, additional?: EnterpriseState | undefined): EnterpriseState;
}
